<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
  <title>פגישה 1 - מבוא לתכנות</title>
 
  <meta http-equiv="content-type"
 content="text/html; charset=UTF-8">
 
  <link href="lec.css" rel="stylesheet" type="text/css">
<link rel="contents" href="index.html"><link rel="top" href="index.html"><link rel="start" href="node1.html"><link rel="first" href="node1.html"><link rel="next" href="node5.html#h"><link rel="prev" href="node3.html#h">
</head>
<body>
  
גרסה 1.2
<h1>פגישה 1 - מבוא לתכנות</h1>
  <div class="nav" dir="ltr" align="right"><A HREF="index.html" NAME="h">[Top]</A> <A HREF="node1.html#h">[First]</A> <A HREF="node3.html#h">[Previous]</A> <A HREF="node5.html#h">[Next]</A></div><h3><a name="programming_language"></a>איך נראית שפת תכנות?</h3>
     
<ul>
     <li>שפת תיכנות מורכבת ממילות-מפתח קבועות (כמו if, while, print), מספרים
(1, 2.5, -47), מחרוזות ("hello", "this is a loooong string") ושמות.
     <li>שפת התיכנות מגדירה כללים לפיהם בנויות תוכניות. עבור תוכנית נתונה, ניתן
לבדוק אם היא "חוקית" בשפה או "אינה חוקית" בשפה.</li>
     <li>הנה דוגמא לתוכנית פשוטה בשפת python:<br><br>
    <div dir=ltr><pre>
import sys

def show_num_to_2num(num):
    """ print all numbers larger then the given number, and smaller
        then twice its size.
    """
    for n in range(num+1, 2*num):
        print n

if (len(sys.argv) != 2):
    print "Usage: ", sys.argv[0], "<number>"
    sys.exit(1)

num = int(sys.argv[1])
show_num_to_2num(num)
    </pre></div>
</li>
     <li>בהמשך הקורס הזה תוכלו לפענח את ה"סינית" הזו, כתוכנית שמקבלת מספר
         מהמשתמש, ומדפיסה את כל המספרים הגדולים ממנו, וקטנים מכפליים גודלו.</li>
     
</ul>
                    
                   
<address><a href="http://validator.w3.org/check/referer"><img
 src="http://www.w3.org/Icons/valid-html401" alt="Valid HTML 4.01!"
 height="31" width="88">
 </a>נכתב על ידי <a href="mailto:choo@actcom.co.il">גיא קרן</a><br>
          </address>
                   
</body>
</html>
